Bug 121626 - When copying sheets or objects (checkboxes/charts) references in the objects are not updated
Summary: When copying sheets or objects (checkboxes/charts) references in the objects ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 125967 126802 (view as bug list)
Depends on:
Blocks: Cell-Reference
  Show dependency treegraph
 
Reported: 2018-11-22 15:40 UTC by Fabio Zaffora
Modified: 2021-08-11 03:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Zaffora 2018-11-22 15:40:01 UTC
Description:
For certain objects (i have tested charts and checkboxes) references to cells within the objects are static. This can have very annoying consequences. If this is not easy to fix, the programming team should at least consider some solution when copying an entire sheet. The way it is now, all checkboxes and charts within the newly made sheed will still refer to the data on the original sheet.

Steps to Reproduce:
1. on a new document create a checkbox or chart that refers to one or more cells in the current sheet
2. copy the sheet using the 'move or copy sheet'function


Actual Results:
the objects on the newly created sheet are as-good-as useless because they refer to the data on the original sheet. The references need to be updated manually

Expected Results:
the references within the objects are automatically updated


Reproducible: Always


User Profile Reset: Yes



Additional Info:
with complex sheets containing a lot of objects the behaviour is very annoying since I can't just copy the sheet to a new one expecting it to behave the same which is cause to significant frustration.
Comment 1 Oliver Brinzing 2018-11-22 18:33:22 UTC
reproducible

- Sheet1, checkbox Linked Cell: A1
- copy sheet
- Sheet2: checkbox Linked Cell: Sheet1.A1
Comment 2 Oliver Brinzing 2018-11-22 18:40:03 UTC
already reproducible with 

Version: 4.4.7.2
Build-ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Gebietsschema: de_DE
Comment 3 Oliver Brinzing 2019-06-17 16:59:50 UTC
*** Bug 125967 has been marked as a duplicate of this bug. ***
Comment 4 Oliver Brinzing 2019-06-17 17:03:58 UTC
already reproducible with AOO 4.1.5
Comment 5 Oliver Brinzing 2019-08-10 09:00:10 UTC
*** Bug 126802 has been marked as a duplicate of this bug. ***
Comment 6 QA Administrators 2021-08-11 03:57:59 UTC
Dear Fabio Zaffora,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug